#ifndef GCTL_H
#define GCTL_H

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _xsw_gctl_struct		xsw_gctl_struct;
#define XSW_GCTL(p)			((xsw_gctl_struct *)(p))


/*
 *	Game Controller:
 */
struct _xsw_gctl_struct {

	float		turn,		/* -1 to 1 */
			throttle,	/* Depends on option.throttle_mode */
			thrust_dir,	/* -1 to 1 (0 is directly backwards) */
			vs_zoom,	/* 0 to 1 */
			scanner_zoom,	/* 0 to 1 */
			aim_weapon_heading;	/* -1 to 1 */

	u_int8_t        fire_weapon,
			omni_dir_thrust,
			external_dampers;       /* Brakes */

	/* Capoffs */
	char		pks_throttle_idle,
			pks_throttle_max;

};


#ifdef __cplusplus
}
#endif


#endif	/* GCTL_H */
